VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
MidiIO Class Reference

`#include <MidiIO.h>`

## Public Member Functions
bool | setEnabled (bool state)
bool | isEnabled () const
void | setMidiNetworkEnabled (bool state)
bool | isMidiNetworkEnabled () const
void | setMidiNetworkPolicy (MIDINetworkConnectionPolicy policy)
MIDINetworkConnectionPolicy | getMidiNetworkPolicy () const
void | addProcessor (IMidiProcessor *processor)
void | removeProcessor (IMidiProcessor *processor)

## Static Public Member Functions
static MidiIO & | instance ()

## Member Function Documentation

MidiIO & instance | ( |  | ) |
| static

bool setEnabled | ( | bool | state | ) |

bool isEnabled | ( |  | ) | const

void setMidiNetworkEnabled | ( | bool | state | ) |

bool isMidiNetworkEnabled | ( |  | ) | const

void setMidiNetworkPolicy | ( | MIDINetworkConnectionPolicy | policy | ) |

MIDINetworkConnectionPolicy getMidiNetworkPolicy | ( |  | ) | const

void addProcessor | ( | IMidiProcessor * | processor | ) |

void removeProcessor | ( | IMidiProcessor * | processor | ) |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.